Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025132
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-11-12 09:262013-12-20 15:10
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision2f4321567f04
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025132: Cash drawer doesn't open

DescriptionCash drawer doesn't open
Steps To ReproduceGo to window "POS terminal" and configure cash payment type with:
-Payment Provider: Confirm payment dialog
-Return Provider: Confirm return dialog

Go to Web POS and pay with this payment type. Verify that cash drawer does not open.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062213)
hgbot (developer)
2013-11-18 16:58

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2f4321567f044735a8b791842ad11563f483bced
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:58:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f4321567f044735a8b791842ad11563f483bced [^]

Fixed issue 25132. Now the cash drawer will open even if the confirm payment popup is shown.

---
M web/org.openbravo.retail.posterminal/js/components/mockpayments.js
M web/org.openbravo.retail.posterminal/js/components/modalpayment.js
---
(0062219)
guilleaer (developer)
2013-11-19 10:01

verified
(0062303)
hgbot (developer)
2013-11-21 10:19

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 2f4321567f044735a8b791842ad11563f483bced
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:58:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/2f4321567f044735a8b791842ad11563f483bced [^]

Fixed issue 25132. Now the cash drawer will open even if the confirm payment popup is shown.

---
M web/org.openbravo.retail.posterminal/js/components/mockpayments.js
M web/org.openbravo.retail.posterminal/js/components/modalpayment.js
---
(0062315)
guilleaer (developer)
2013-11-21 12:16

reclosed
(0062578)
hgbot (developer)
2013-12-05 12:12

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 2f4321567f044735a8b791842ad11563f483bced
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:58:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/2f4321567f044735a8b791842ad11563f483bced [^]

Fixed issue 25132. Now the cash drawer will open even if the confirm payment popup is shown.

---
M web/org.openbravo.retail.posterminal/js/components/mockpayments.js
M web/org.openbravo.retail.posterminal/js/components/modalpayment.js
---
(0062632)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062906)
hgbot (developer)
2013-12-19 19:47

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 2f4321567f044735a8b791842ad11563f483bced
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:58:15 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/2f4321567f044735a8b791842ad11563f483bced [^]

Fixed issue 25132. Now the cash drawer will open even if the confirm payment popup is shown.

---
M web/org.openbravo.retail.posterminal/js/components/mockpayments.js
M web/org.openbravo.retail.posterminal/js/components/modalpayment.js
---
(0063006)
guilleaer (developer)
2013-12-20 15:10

reclosed

- Issue History
Date Modified Username Field Change
2013-11-12 09:26 jecharri New Issue
2013-11-12 09:26 jecharri Assigned To => marvintm
2013-11-12 09:26 jecharri Triggers an Emergency Pack => No
2013-11-18 16:58 hgbot Checkin
2013-11-18 16:58 hgbot Note Added: 0062213
2013-11-18 16:58 hgbot Status new => resolved
2013-11-18 16:58 hgbot Resolution open => fixed
2013-11-18 16:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f4321567f044735a8b791842ad11563f483bced [^]
2013-11-19 10:01 guilleaer Review Assigned To => guilleaer
2013-11-19 10:01 guilleaer Note Added: 0062219
2013-11-19 10:01 guilleaer Status resolved => closed
2013-11-19 10:01 guilleaer Fixed in Version => RMP29
2013-11-21 10:19 hgbot Checkin
2013-11-21 10:19 hgbot Note Added: 0062303
2013-11-21 10:19 hgbot Status closed => resolved
2013-11-21 10:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2f4321567f044735a8b791842ad11563f483bced [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/2f4321567f044735a8b791842ad11563f483bced [^]
2013-11-21 12:16 guilleaer Note Added: 0062315
2013-11-21 12:16 guilleaer Status resolved => closed
2013-12-05 12:12 hgbot Checkin
2013-12-05 12:12 hgbot Note Added: 0062578
2013-12-05 12:12 hgbot Status closed => resolved
2013-12-05 12:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/2f4321567f044735a8b791842ad11563f483bced [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/2f4321567f044735a8b791842ad11563f483bced [^]
2013-12-05 17:21 guilleaer Note Added: 0062632
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:47 hgbot Checkin
2013-12-19 19:47 hgbot Note Added: 0062906
2013-12-19 19:47 hgbot Status closed => resolved
2013-12-19 19:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/2f4321567f044735a8b791842ad11563f483bced [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/2f4321567f044735a8b791842ad11563f483bced [^]
2013-12-20 15:10 guilleaer Note Added: 0063006
2013-12-20 15:10 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker